#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "defines.h"

/* 環境変数読み取り：環境変数大文字小文字区別無し読みとり
   （Human68Kは環境変数の大文字/小文字を区別する）*/

unchar *getenv2(unchar *envname,unchar *defenv)
/* envnameは必ず大文字で与えること */
{
unchar *env;
unchar env2[256];
	/* 大文字検索 */
	env=getenv(envname);
	if (env==NULL) {
		/* 小文字化 */
		strcpy(env2,envname);
		jstrlwr(env2);
		/* 小文字検索 */
		env=getenv(env2);
		if (env==NULL) env=defenv;
	}
	return(env);
}
